package com.neusoft.smart.pos.inventory.persistent.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class InventoryStoreHistory implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    private Integer id;
    
    private Integer shopId;
    
    private Integer goodsId;
    
    private String goodsBarCode;
    
    private String goodsName;
    
    private String goodsCategory;
    
    private BigDecimal residueNum;
    
    private BigDecimal varNum;
    
    private BigDecimal inPrice;
    
    private BigDecimal salePrice;
    
    private Integer actionDire;
    
    private String actionType;
    
    private Date createdTime;
    
    private String createdBy;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public Integer getShopId() {
        return shopId;
    }
    
    public void setShopId(Integer shopId) {
        this.shopId = shopId;
    }
    
    public Integer getGoodsId() {
        return goodsId;
    }
    
    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }
    
    public String getGoodsBarCode() {
        return goodsBarCode;
    }
    
    public void setGoodsBarCode(String goodsBarCode) {
        this.goodsBarCode = goodsBarCode;
    }
    
    public String getGoodsName() {
        return goodsName;
    }
    
    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }
    
    public String getGoodsCategory() {
        return goodsCategory;
    }
    
    public void setGoodsCategory(String goodsCategory) {
        this.goodsCategory = goodsCategory;
    }
    
    public BigDecimal getResidueNum() {
        return residueNum;
    }
    
    public void setResidueNum(BigDecimal residueNum) {
        this.residueNum = residueNum;
    }
    
    public BigDecimal getVarNum() {
        return varNum;
    }
    
    public void setVarNum(BigDecimal varNum) {
        this.varNum = varNum;
    }
    
    public BigDecimal getInPrice() {
        return inPrice;
    }
    
    public void setInPrice(BigDecimal inPrice) {
        this.inPrice = inPrice;
    }
    
    public BigDecimal getSalePrice() {
        return salePrice;
    }
    
    public void setSalePrice(BigDecimal salePrice) {
        this.salePrice = salePrice;
    }
    
    public Integer getActionDire() {
        return actionDire;
    }
    
    public void setActionDire(Integer actionDire) {
        this.actionDire = actionDire;
    }
    
    public String getActionType() {
        return actionType;
    }
    
    public void setActionType(String actionType) {
        this.actionType = actionType == null ? null : actionType.trim();
    }
    
    public Date getCreatedTime() {
        return createdTime;
    }
    
    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }
    
    public String getCreatedBy() {
        return createdBy;
    }
    
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }
}
